"""initial migration

Revision ID: 9a91108c6ddf
Revises: 
Create Date: 2018-08-05 22:07:06.954398

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9a91108c6ddf'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('units',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('registered_on', sa.DateTime(), nullable=False),
    sa.Column('name', sa.String(length=100), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('centrals',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('registered_on', sa.DateTime(), nullable=False),
    sa.Column('unit_id', sa.Integer(), nullable=False),
    sa.Column('president_name', sa.String(length=64), nullable=False),
    sa.Column('president_id', sa.String(length=16), nullable=False),
    sa.Column('president_email', sa.String(length=64), nullable=False),
    sa.Column('name', sa.String(length=64), nullable=False),
    sa.Column('english_name', sa.String(length=64), nullable=False),
    sa.Column('site', sa.String(length=256), nullable=False),
    sa.Column('email', sa.String(length=64), nullable=False),
    sa.Column('postal_code', sa.String(length=10), nullable=False),
    sa.Column('address', sa.String(length=256), nullable=False),
    sa.Column('city', sa.String(length=32), nullable=False),
    sa.Column('state', sa.String(length=32), nullable=False),
    sa.Column('phone_1', sa.String(length=16), nullable=False),
    sa.Column('phone_2', sa.String(length=16), nullable=True),
    sa.Column('presentation', sa.String(length=1024), nullable=False),
    sa.Column('english_presentation', sa.String(length=1024), nullable=False),
    sa.Column('services', sa.String(length=512), nullable=False),
    sa.Column('attendance_hours', sa.String(length=256), nullable=False),
    sa.Column('observations', sa.String(length=512), nullable=False),
    sa.Column('fusp', sa.Boolean(), nullable=False),
    sa.Column('unit_treasury', sa.Boolean(), nullable=False),
    sa.Column('foundation_zerbini', sa.Boolean(), nullable=False),
    sa.Column('foundation_facul_medicina', sa.Boolean(), nullable=False),
    sa.Column('foundation_carlos_alberto_vanzolini', sa.Boolean(), nullable=False),
    sa.Column('foundation_centro_tec_hidraulica', sa.Boolean(), nullable=False),
    sa.Column('foundation_desenvolvimento_tec_eng', sa.Boolean(), nullable=False),
    sa.Column('foundation_apoio_ensino', sa.Boolean(), nullable=False),
    sa.Column('faepa', sa.Boolean(), nullable=False),
    sa.Column('other_foundations', sa.Boolean(), nullable=False),
    sa.Column('aproved', sa.Boolean(), nullable=False),
    sa.Column('licensed', sa.Boolean(), nullable=False),
    sa.ForeignKeyConstraint(['unit_id'], ['units.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('email'),
    sa.UniqueConstraint('english_name'),
    sa.UniqueConstraint('name')
    )
    op.create_table('departments',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('registered_on', sa.DateTime(), nullable=False),
    sa.Column('department_name', sa.String(length=100), nullable=False),
    sa.Column('unit_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['unit_id'], ['units.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('department_name')
    )
    op.create_table('equipments',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('registered_on', sa.DateTime(), nullable=False),
    sa.Column('central_id', sa.Integer(), nullable=False),
    sa.Column('department_id', sa.Integer(), nullable=False),
    sa.Column('equipment_name', sa.String(length=64), nullable=False),
    sa.Column('equipment_english_name', sa.String(length=64), nullable=False),
    sa.Column('equipment_presentation', sa.String(length=1024), nullable=False),
    sa.Column('equipment_brand', sa.String(length=64), nullable=False),
    sa.Column('equipment_model', sa.String(length=64), nullable=False),
    sa.Column('equipment_patrimony_number', sa.String(length=10), nullable=False),
    sa.Column('equipment_acquisition_year', sa.String(length=4), nullable=False),
    sa.Column('researcher_unit', sa.String(length=64), nullable=False),
    sa.Column('researcher_USP_number', sa.String(length=16), nullable=False),
    sa.Column('researcher_name', sa.String(length=32), nullable=False),
    sa.Column('researcher_email', sa.String(length=64), nullable=False),
    sa.Column('administrator_is_researcher', sa.Boolean(), nullable=False),
    sa.Column('administrator_unit', sa.String(length=64), nullable=False),
    sa.Column('administrator_USP_number', sa.String(length=16), nullable=False),
    sa.Column('administrator_name', sa.String(length=32), nullable=False),
    sa.Column('administrator_email', sa.String(length=64), nullable=False),
    sa.Column('equipment_address', sa.String(length=64), nullable=False),
    sa.Column('equipment_description', sa.String(length=1024), nullable=False),
    sa.Column('equipment_english_description', sa.String(length=1024), nullable=False),
    sa.Column('equipment_offered_services', sa.String(length=1024), nullable=True),
    sa.Column('equipment_applications', sa.String(length=1024), nullable=True),
    sa.Column('equipment_rules', sa.String(length=1024), nullable=False),
    sa.Column('monday_attendance_time', sa.String(length=256), nullable=True),
    sa.Column('tuesday_attendance_time', sa.String(length=256), nullable=True),
    sa.Column('wednesday_attendance_time', sa.String(length=256), nullable=True),
    sa.Column('thursday_attendance_time', sa.String(length=256), nullable=True),
    sa.Column('friday_attendance_time', sa.String(length=256), nullable=True),
    sa.Column('saturday_attendance_time', sa.String(length=256), nullable=True),
    sa.Column('sunday_attendance_time', sa.String(length=256), nullable=True),
    sa.ForeignKeyConstraint(['central_id'], ['centrals.id'], ),
    sa.ForeignKeyConstraint(['department_id'], ['departments.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('equipments')
    op.drop_table('departments')
    op.drop_table('centrals')
    op.drop_table('units')
    # ### end Alembic commands ###
